.clear {
	clear: both;
}
/***** Start of primary nav ******/
#menu-button {
	display: none;
}
nav.mobile {
	display: none;
}
nav.primary {
	padding: 0;
	display: flex; justify-content: flex-end; align-items: stretch; 
	margin: 0;
	width: 100%;
	position: relative;
}
nav.primary ul {
	margin: 0;
	padding: 0;
	text-align: right;
	display: flex; justify-content: flex-end; align-items: stretch; 
	position: relative;
}
nav.primary ul li {
	display: flex; justify-content: flex-end; align-items: stretch; 
	position: relative;
	margin: 0;
	list-style-type: none;
}

.is-dpdown-only {}

nav.primary ul li a {
	color: #fff !important;
	position: relative;
	font-family: "proxima-nova", sans-serif;
	text-decoration: none;
	padding: 10px 12px;
	display: flex; justify-content: center; align-items: center; 
	margin: 0; gap: 8px; line-height: 1.2;
	text-align: center;
	-webkit-transition: .4s ease-in;
	-moz-transition: .2s ease-in;
	-o-transition: .2s ease-in;
	transition: .2s ease-in;
	font-weight: 400;
}
nav.primary ul li a:hover {
	color:var(--lred)!important;
	
}
nav.primary > ul > li > a:after { position: absolute; content: ""; bottom: 0; left: 0; width: 100%; height: 0; opacity: 0; background: var(--lred); transition: .25s ease all; }
nav.primary > ul > li > a:hover:after { height: 1px; opacity: 1; bottom: 12px; }

nav.primary ul li a i { font-size: 10px; }

/* Appearance of the sub-level links */
nav.primary ul li li a {
	min-height: 50px;  line-height: 1.2;
	padding: 6px 12px;
	text-align: right; gap: 8px; 
	border-right: none;
	border-left: none;
	background:#0d0d0d; justify-content: flex-end;
	border-bottom: var(--dgray) solid 1px;
	 color: #fff !important;
	text-transform: uppercase;
	font-weight: 400; letter-spacing: .5px; 
    font-size: 16px!important;
}
/* Appearance of the sub-level links on hover */
nav.primary ul li li a:hover {
	background: var(--hover-red); color: #fff!important; 
}

nav.primary ul li li a i { order: -1; margin-right: auto; font-size: 14px; }
nav.primary ul li li a i:before { content: "\f104"; }

nav.primary ul li li:last-child a { border-bottom: none!important; }
/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
	display: none;
	position: absolute; top: 100%; right: 0; 
	-moz-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
	-webkit-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
	box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
}
nav.primary ul ul ul {
	position: absolute; border-right: 1px solid var(--dgray);
	right: 100%;
	top: 0;
}
nav.primary ul li:hover>ul {
	display: block;
	line-height: 18px;
	z-index: 100;
}
nav.primary ul ul li {
	float: none;
	width: 200px;
	position: relative;
	margin: 0;
	display: block;
}
/******** Nav Resets ***************/


/******** End of primary Nav ***************/
@media screen and (max-width: 1600px) {
	nav.primary ul li a { font-size: 15px; }
}
@media screen and (max-width: 1520px) {
	nav.primary ul li a { padding: 10px 8px; gap: 6px; }
}
@media screen and (max-width: 1400px) {
	nav.primary ul li a { font-size: 14px; padding: 10px 8px; }
}
@media screen and (min-width: 1351px) { 	/* MIND THE MIN-WIDTH */
	.mobile-only { display: none!important; }
}

/*==============================
		Mobile Nav Styles			
	================================*/
@media screen and (max-width: 1350px) {
	nav.primary {
		display: none;
	}
	#menu-button {
		width: 100%;
		display: flex; justify-content: flex-end; align-items: stretch;
		font-size: 26px;
		position: relative;
		z-index: 1000;
		/* needs to be lower than nav.mobile, adjust as needed */
		text-align: right;
	}
	#menu-button a {
		color: #fff; padding: 0 20px; 
		text-decoration: none; display: flex; 
	}
	.menu-toggle span {
		font-size: 17px; /*margin-right: 4px; */ letter-spacing: .25px; font-weight: 600; margin-top: 2px; 
	}
	#menu-button a:hover {
		color: var(--lred);
		text-decoration: none;
	}
	nav.mobile {
		display: block;
		position: fixed;
		text-align: left;
		top: 0;
		left: -320px;
		width: min(300px, 100%);
		height: 100%;
		background: #0d0d0d;
		z-index: 1001;
		/* needs to be higher than #menu-button, adjust as needed */
		overflow: auto;
	}
	/* MENU HEADER STYLES */
	nav.mobile .mobile_top {
		position: relative;
		display: block;
		padding: 0;
		margin: 0 0 56px 0;
		color: #999;
		font-size: 18px;
		font-weight: 400;
	}
	/* MENU CLOSE 'X' BUTTON */
	nav.mobile .menu-toggle {
		position: absolute;
		padding: 3px 8px 3px;
		font-family: Arial, sans-serif;
		font-size: 34px;
		line-height: 1;
		background: var(--notblack);
		color: #fff;
		text-decoration: none;
		top: 4px;
		/*top:-35px;*/
		right: 12px;display: flex;
        justify-content: center;
        /* list-style: cambodian; */
        align-items: center;
        width: 50px;
        height: 50px;
	}
	nav.mobile .menu-toggle:hover {
		/* Menu close button on hoveer */
		color: #fff; background: var(--red);
	}
	/* MENU LIST STYLE */
	nav.mobile ul {
		list-style: none;
		font-weight: 300;
		margin: 0;
		padding: 0;
	}
	nav.mobile ul li {
		border-bottom: 1px solid #222;
		position: relative;
	}
	/* FIRST LEVEL */
	nav.mobile ul li a {
		position: relative;
		display: flex; justify-content: flex-start; align-items: center; gap: 10px; min-height: 50px; width: 100%; 
		font-size: 16px; line-height: unset;
		padding: 8px 10px 8px 15px;
		color: #fff; font-weight: 600; 
		font-family: "proxima-nova", sans-serif; 
		text-decoration: none;
		border-left: 4px #0d0d0d solid;
	}
	nav.mobile ul li a:hover {
		background: rgba(45, 45, 45, 0.5);
		/*color: var(--red);*/
		border-left: 4px var(--red) solid;
		/* border highlight - Change to fit match site colors */
	}
	
	nav.mobile ul li a i { position: relative!important; top: unset; left: unset; right: unset; }
	
	nav.mobile ul ul { display: none; }
	
	/* SECOND LEVEL */
	nav.mobile ul li li:last-child {
		border: none;
	}
	nav.mobile ul li li a {
		background: rgba(255, 255, 255, .1);
		position: relative;
		padding: 10px 10px 10px 15px;
		border-left: 4px rgba(255, 255, 255, 0) solid;
		color:#fff;
		text-decoration: none;
	}
	nav.mobile ul li li a:hover {
		background: rgba(255, 255, 255, .2);
	}
	/* THIRD LEVEL */
	nav.mobile ul li li li:last-child {
		border: none;
	}
	nav.mobile ul li li li a {
		background: rgba(255, 255, 255, .2);
		position: relative;
		padding: 10px 10px 10px 25px;
		color: #fff;
		text-decoration: none;
		border-left: 4px rgba(255, 255, 255, 0) solid;
	}
	nav.mobile ul li li li a:hover {
		background: rgba(85, 85, 85, 0.5);
	}
	/* FOURTH LEVEL */
	nav.mobile ul li li li li:last-child {
		border: none;
	}
	nav.mobile ul li li li li a {
		background: rgba(255, 255, 255, .3);
		position: relative;
		padding: 10px 10px 10px 25px;
		color: #fff;
		text-decoration: none;
		border-left: 4px rgba(255, 255, 255, 0) solid;
	}
	nav.mobile ul li li li li a:hover {
		background: rgba(85, 85, 85, 0.5);
	}
	.nav-footer {
		color: var(--mgray);
		position: relative;
		text-align: center;
		font-size: 14px;
		line-height: 16px;
		padding: 24px 12px;
	}
	/* FONT AWESOME ICONS */
	nav.mobile ul li a .fa {
		width: 25px;
		font-weight: 100;
		padding: 8px 3px;
		margin: 0 6px 0 0;
		text-align: center;
		background: #292929;
		-webkit-border-radius: 30px;
		-moz-border-radius: 30px;
		border-radius: 30px;
		text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
	}
}
@media screen and (max-width: 300px) {
	#menu-button span {display: none!important;}
}
/* Hide the desktop menu item icons */
.primary li > i {
	display: none;
}